Fájlfeltöltéses sérülékenység WordPress pluginokban

CH azonosító: CH-15048 Cím: File feltöltéses sérülékenység WordPress pluginokban Angol cím: Arbitrary file upload vulnerability in WordPress plugins

Publikálás dátuma: 2020.10.28. Utolsó módosítás dátuma: 2020.10.28.


Leírás

A WordPress tartalomkezelő Super Store Finder for WordPress, Super Interactive Maps for WordPress, Super Logos Showcase for WordPress pluginjait érintő sérülékenységek váltak ismertté, amelyet kihasználva a távoli, jogosultsággal nem rendelkező támadó rosszindulatú fájlokat tölthet fel, illetve futtathat az érintett szerveren. A sérülékenységek jelenleg önálló CVE számmal nem rendelkeznek, a CWE-434 csoportba kerültek besorolásra. Mindhárom sérülékenység magas kockázati besorolású.

Leírás forrása: Gyártói referencia: superstorefinder.net Leírás utolsó módosítása: 2020.10.28.


Elemzés leírás

A WordPress nyílt forráskódú, PHP alapú tartalomkezelő és blog rendszer, amely a MySQL adatbáziskezelőt használja adattárolásra.

A Super Store Finder for WordPress plugin lehetővé teszi az ügyfelek számára, hogy könnyen megtaláljanak egy adott webáruházat. A sérülékenység hátterében a feltöltött fájlok nem megfelelő validálása áll, sikeres kihasználása esetén a támadó rosszindulatú fájlokat tölthet fel, illetve futtathat az érintett szerveren.

Érintett verziók:

  • Super Store Finder for WordPress 6.2 előtti verziók

A Super Interactive Maps for WordPress plugin lehetővé teszi egyedi jelölésekkel ellátott interaktív térképek készítését adott országról, kontinensről vagy régióról. A sérülékenység hátterében a feltöltött fájlok nem megfelelő validálása áll, sikeres kihasználása esetén a támadó rosszindulatú fájlokat tölthet fel, illetve futtathat az érintett szerveren.

Érintett verziók:

  • Super Interactive Maps for WordPress 2.0 előtti verziók

A Super Logos Showcase for WordPress plugin, a WordPress oldalakon található logók és márkák kezelésére és megjelenítésére szolgál. A sérülékenység hátterében a feltöltött fájlok nem megfelelő validálása áll, sikeres kihasználása esetén a támadó rosszindulatú fájlokat tölthet fel, illetve futtathat az érintett szerveren.

Érintett verziók:

  • Super Logos Showcase for WordPress 2.3 előtti verziók

Fenti sérülékenységek egymástól függetlenül is kihasználhatóak. Az egyes plugin-ek javítását tartalmazó frissítések elérhetőek a gyártó által biztosított hozzáférésen keresztül.

Elemzés leírás forrása: Gyártói referencia: superstorefinder.net Elemzés leírás utolsó módosítása: 2020.10.28.


Hatás

CVSS3 Severity and Metrics

Base score: 8.5 (Magas)
Vector: AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Impact Score:
Exploitability Score:


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope (S): Unchanged
Confidentiality Impact (C): High
Integrity Impact (I): High
Availability Impact (A): High

CVSS2 Severity and Metrics

Base score: (Nincs)
Vector:
Impact Subscore:
Exploitability Subscore:




Hivatkozások

Gyártói referencia: superstorefinder.net
Egyéb referencia: www.cybersecurity-help.cz
Egyéb referencia: www.cybersecurity-help.cz
Egyéb referencia: www.cybersecurity-help.cz